Casio documentation project
===========================

This static website is available on [the casio bible](https://bible.planet-casio.com/lailouezzz/).


## Description

`macros_def.py` is a python script who define some macros for simplify writing :

-   `includecode(path, flavor)` : it's for include a file code example :  
`{{ includecode("/path/to/file.cpp", "cpp") }}`

-   `includemd(path)` : it's for include over .md file (like `#include` in C) example :  
`{{ includemd("/path/to/file.md") }}`

-   `downloadlink(contain, url)` : it's for create a download link example :  
`{{ downloadlin("zip file here", "/path/to/file.zip") }}`


`mkdocs.yml` is here for define how mkdocs build the static site.  
Check [the official site of mkdocs](https://www.mkdocs.org/) for more informations.


## Dependencies

-   `mkdocs` for build the static site.
-   `mkdocs-material` is needed for beautiful CSS (`pip install mkdocs-material`).
-   `mkdocs-macros-plugin` is needed for use the macros (`pip install mkdocs-macros-plugin`).
-   `mkdocs-pdf-export-plugin` is needed for convert all .md in PDF format (`mkdocs-pdf-export-plugin`).
-   I think that's all :)
