# Some FX-9860g syscalls

## How to call a syscall ?

The calling convention to access the system calls (syscall), is to
jump to 0x80010070 with the syscall number in r0 :

{{includecode("files/code/do_syscall.S", "asm")}}

-------------------------------------------------

## Syscalls table

| Name                                                                                         |     |     |     | ID     |
| :------------------------------------------------------------------------------------------- | --- | --- | --- | ------ |
| [char * GetProductID()](syscalls/system_info.md)                                             |     |     |     | 0x0178 |
| [void GetProtocolVersion(char * out_str)](syscalls/system_info.md)                           |     |     |     | 0x02ED |
| [void System_GetOSVersion(char * version) (simlo)](../../simlo/chm/v20/fx_legacy_System.HTM) |     |     |     | 0x02EE |
| [void GetSystemInfo(char * out_str)](syscalls/system_info.md)                                |     |     |     | 0x02EF |
| [void GetEnvironmentID(char * out_str)](syscalls/system_info.md)                             |     |     |     | 0x02F5 |
| [void GetCpuID(char * out_str)](syscalls/system_info.md)                                     |     |     |     | 0x02F6 |
| void PrintFull(ID1, ID2, ID3)                                                                |     |     |     | 0x0A51 |